fig111 <- function(post=F)
{
if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig111.ps", width=4.4, height=3, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(1, 2),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)

u0 <- seq(1.3,4,length=101)
 #n<-length(fig110.data)
 #y<-fig110.data[3:n]                # Y_t
 #u<-fig110.data[1:(n-2)]            # U_t
 #x1<-fig110.data[2:(n-1)]           # X_{1t}
 #x2<-fig110.data[1:(n-2)]           # X_{2t}
 ######### Take first fraction of the data #############
 #u01 <- u0[u0 < 3.25]
 #y1   <- y[u < 3.25]
 #x11  <- x1[u < 3.25]
 #x21  <- x2[u < 3.25]
 #u1   <- u[u < 3.25] 
 #fig111.beta1 <- far(y1,x11,x21,u1,u01,1.5,method=0)

 ######### Take second fraction of the data #############
 # u02 <-  u0[u0 >= 3.25]
 # y2   <- y[u >= 3.25]
 # x12  <- x1[u >= 3.25]
 # x22  <- x2[u >= 3.25]
 # u2   <- u[u >= 3.25] 
 #fig111.beta2 <- far(y2,x12,x22,u2,u02,1.5,method=0)

 #fig111.beta <- rbind(fig111.beta1$coef, fig111.beta2$coef)
 #fig111.resid <- c(fig111.beta1$resid, fig111.beta2$resid)



 beta1 <- fig111.beta;
 
 plot(u0, beta1[,1], type="n",ylim=c(1,2),xlab="(a)")
 lines(u0, 1.25*(u0 <= 3.25) + 1.52*(u0 > 3.25))
 lines(u0, beta1[,1], lty=3)
 title("Coefficient Function f_1(x)")

 plot(u0, beta1[,2], type="n",ylim=c(-1,0.5),xlab="(b)")
 lines(u0, (0.62/u0-0.43)*(u0 <= 3.25) + (2.25/u0-1.24)*(u0 > 3.25))
 lines(u0, beta1[,2], lty=3)
 title("Coefficient Function f_2(x)")
}
